Bug 487441 - Kernel panic on boot when PNY 6200 GeForce 6 (nvidia) graphics card enabled
Kernel panic on boot when PNY 6200 GeForce 6 (nvidia) graphics card enabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-25 19:09 EST by M Frost
Modified: 2009-12-18 03:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:03:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M Frost 2009-02-25 19:09:55 EST
Description of problem:

Fedora 10 installed and working with on-board graphics card. Installed PNY card and enable through BIOS. Boot of exits with last line "Kernel panic - not syncing: Attempted to kill init!"

Version-Release number of selected component (if applicable):
2.6.27.15-170.2.24.fc10.i686

How reproducible:
Every time with the new card enabled

Steps to Reproduce:
1. Boot
2.
3.
  
Actual results:
Kernel panic

Expected results:
Boot to Fedora-10

Additional info:
Hardware:
HP d230
BIOS at 1.11 or upgraded to latest 1.14
onboard Intel graphics (run as vesa at present)
PNY 6200 GeForce 6 (nvidia), PCI interface

Boot does not reach the Fedora-10 new graphics boot.

Removing "quiet" from the kernel boot provide more information,
showing 100+ lines before they disappear because the kernel then
displays several backtraces, the last is for swapper which says:

BUG: scheduling while atomic: swapper/1/0x10000001
Modules linked in:
PID: 1, comm: swapper Tainted: G     D     2.6.27.15-170.2.24.fc10.i686 #1
 [<c042af6d>] __schedule_buf+0x5f/0x66
 [<c06a8d4f>] schedule+0x9f/0x70d
 [<c0406f63>] ? do_softirq+0xbe/0xdb
 [<c0404cd7>] ? restore_nocheck_notrace+0x0/0xe
 ...
 [<c040590b>] ? kernel_thread_helper+0x7/0x10

I have not found a log file in which this information is logged, so it is entered from reading the screen.
Comment 1 M Frost 2009-03-07 10:21:12 EST
The AGP slot was empty. I have since obtained an AGP card, with both the PCI card and the AGP card installed, either of the cards functions correctly. The problem seems to be the presence of PCI graphics card without an AGP card installed.
Comment 2 Bug Zapper 2009-11-18 04:52:48 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 03:03:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.